## pointerize 0.4

=== Makefile ===
#!/usr/bin/make -f

all:
	make -C src all
	make -C lib all

install:
	make -C src install PREFIX=$(PREFIX)
	make -C lib install PREFIX=$(PREFIX)
	
clean:
	make -C src clean
	make -C lib clean
	make -C test clean

distclean:
	make -C src distclean
	make -C lib distclean
	make -C test distclean

testme:
	make -C test test

=== debian/changelog ===
pointerize (0.4) frozen unstable; urgency=high

  * Add an option to trim-mo to use a second *.mo file to provide some
    tranlated messages if the first *.mo file does not contain them
    (patch by Taketoshi Sano <kgh12351@nifty.ne.jp>).
  
 -- Enrique Zanardi <ezanard@debian.org>  Sun, 16 Jan 2000 21:26:00 +0000

pointerize (0.3) unstable; urgency=low

  * Fixed an off-by-one error that gave segfaults on sources with long
    macros.
  
 -- Enrique Zanardi <ezanard@debian.org>  Sat, 19 Jun 1999 11:30:40 +0100

pointerize (0.2) unstable; urgency=low

  * Fixed long description. (Closes #38199).

 -- Enrique Zanardi <ezanard@debian.org>  Mon, 24 May 1999 08:38:55 +0100

pointerize (0.1) unstable; urgency=low

  * New package.

 -- Enrique Zanardi <ezanard@debian.org>  Sun,  7 Mar 1999 14:21:14 +0000

Local variables:
mode: debian-changelog
End:

=== debian/rules ===
#!/usr/bin/make -f
#
# Created 5 March 1999 by Enrique Zanardi <ezanardi@ull.es>
#
# Copying and modification is unlimited, provided that the modified
# version is marked as being modified.

ARCH = $(shell dpkg --print-gnu-build-architecture)

PACKAGE=pointerize
tmpdir=$(shell pwd)/debian/tmp
docdir=$(tmpdir)/usr/share/doc/$(PACKAGE)

ifeq (ARCH,"alpha")
        LIBCDEV=libc6.1-dev
else
        LIBCDEV=libc6-dev
endif

build:
	$(checkdir)
	make 
	touch build

clean:
	$(checkdir)
	make distclean
	rm -rf build $(tmpdir) debian/files debian/substvars

binary: binary-indep binary-arch

binary-indep:
	true

binary-arch: build checkroot
	$(checkdir)
	-[ -d $(tmpdir) ] && rm -rf $(tmpdir)

	make PREFIX=$(tmpdir)/usr install
	
	install -d -m 755 $(docdir)
	install -m 644 debian/changelog $(docdir)/changelog
	install -m 644 README $(docdir)
	gzip -9 $(docdir)/*
	install -m 644 debian/copyright $(docdir)/

	install -d -m 755 $(tmpdir)/DEBIAN
	install -m 755 debian/postinst debian/prerm $(tmpdir)/DEBIAN
	dpkg-gencontrol -P$(tmpdir) -p$(PACKAGE) -Vlibcdev=$(LIBCDEV)

	chmod -R go=rX $(tmpdir)
	chown -R root.root $(tmpdir)
	dpkg --build $(tmpdir) ..

define checkdir
	test -f src/pointerize.c
endef

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	[ `whoami` = root ]

.PHONY: binary-arch clean source diff checkroot binary binary-indep

## pointerize 0.5

=== debian/changelog ===
pointerize (0.5) unstable; urgency=low

  * Fixed several compile warnings that made trim-mo SEGV on ia64
  (patch by Richard Hirst). (Closes: Bug#103912)
  * Added manpages by Taketoshi Sano.

 -- Enrique Zanardi <ezanard@debian.org>  Thu, 19 Jul 2001 13:04:33 +0100

=== debian/control ===
Source: pointerize
Priority: optional
Section: devel
Maintainer: Enrique Zanardi <ezanard@debian.org>
Standards-Version: 3.1.0.0

Package: pointerize
Architecture: any
Priority: optional
Section: devel
Depends: ${libcdev}, gettext
Description: Internationalization utilities, based on gettext
 pointerize is a set of tools used to generate message catalogs from a
 set of specially formated C source files. Those message catalogs are
 loaded at run-time, making it possible to have one binary that displays
 messages in several languages.
 .
 It's based on gettext, but it makes smaller binary message catalogs
 (a must when one is making internationalized boot floppies). The
 programmer may use his gettexttified C source files just applying one
 small change to the main() function. The translator will work with the
 well known PO format.

=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,7 @@
 
 	install -d -m 755 $(tmpdir)/DEBIAN
 	install -m 755 debian/postinst debian/prerm $(tmpdir)/DEBIAN
-	dpkg-gencontrol -P$(tmpdir) -p$(PACKAGE) -Vlibcdev=$(LIBCDEV)
+	dpkg-gencontrol -isp -P$(tmpdir) -p$(PACKAGE) -Vlibcdev=$(LIBCDEV)
 
 	chmod -R go=rX $(tmpdir)
 	chown -R root.root $(tmpdir)

## pointerize 0.6

=== Makefile ===
--- 
+++ 
@@ -6,6 +6,7 @@
 
 install:
 	make -C src install PREFIX=$(PREFIX)
+	make -C man install PREFIX=$(PREFIX)
 	make -C lib install PREFIX=$(PREFIX)
 	
 clean:

=== lib/Makefile ===
#!/usr/bin/make -f

CFLAGS+=-Wall -g

LIBS=libloadtrm.a

all:	$(LIBS)

libloadtrm.a:	loadtrm.o
	rm -f $@
	ar cr $@ loadtrm.o
	ranlib $@

install: all
	[ -d $(PREFIX)/lib ] || install -m 755 -d $(PREFIX)/lib
	install -m 644 $(LIBS) $(PREFIX)/lib

clean:
	rm -f *.o *~

distclean: clean
	rm -f $(LIBS)

=== man/Makefile ===
#!/usr/bin/make -f

MANPAGES:= gen-header.1 pointerize.1 trim-mo.1

install:
	[ -d $(PREFIX)/share/man/man1 ] || install -m 755 -d $(PREFIX)/share/man/man1
	install -m 644 $(MANPAGES) $(PREFIX)/share/man/man1
	cd $(PREFIX)/share/man/man1/ && gzip -9 $(MANPAGES)

=== src/Makefile ===
#!/usr/bin/make -f

CFLAGS+=-Wall -g

PROGRAMS:= pointerize trim-mo gen-header

all:	$(PROGRAMS)

pointerize:	pointerize.o loadmsgcat.o
	$(CC) $(CFLAGS) -o $@ pointerize.o loadmsgcat.o

trim-mo: trim-mo.o loadmsgcat.o
	$(CC) $(CFLAGS) -o $@ trim-mo.o loadmsgcat.o

gen-header:	gen-header.o loadmsgcat.o
	$(CC) $(CFLAGS) -o $@ gen-header.o loadmsgcat.o

install: all
	[ -d $(PREFIX)/bin ] || install -m 755 -d $(PREFIX)/bin
	install -s -m 755 $(PROGRAMS) $(PREFIX)/bin

clean:
	rm -f *.o *~

distclean: clean
	rm -f $(PROGRAMS)

=== test/Makefile ===
#!/usr/bin/make -f

CFLAGS+=-Wall -g
LIBDIR=../lib

PROGRAMS=hello

all:	$(PROGRAMS)

build:
	make -C ../src all
	make -C ../lib all

# messages.po:
# 	xgettext -k_ --foreign-user hello.c

es.mo: es.po
	msgfmt -o es.mo es.po
	
es.trm: build es.mo
	../src/trim-mo es.mo > es.trm

lang.h:	build es.mo
	../src/gen-header es.mo

hello.o: build lang.h hello.c
	../src/pointerize -m es.mo < hello.c > hello.tmp.c
	$(CC) $(CFLAGS) -o $@ -c hello.tmp.c
	rm hello.tmp.c

hello:	hello.o ../lib/loadtrm.o
	$(CC) $(CFLAGS) -o $@ hello.o -L $(LIBDIR) -lloadtrm

test: es.trm hello
	./hello

clean:
	rm -f *.o *~ es.mo es.trm lang.h

distclean: clean
	rm -f $(PROGRAMS)

=== debian/changelog ===
pointerize (0.6) unstable; urgency=low

  * Fixed XSI:isms on postinst and prerm (patch by David Weinehall). 
    (Closes: Bug#259455)
  * Removed postinst as it is no longer necessary to set the /usr/doc symlink

 -- Enrique Zanardi <ezanard@debian.org>  Wed, 28 Jul 2004 09:22:25 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Section: devel
 Maintainer: Enrique Zanardi <ezanard@debian.org>
-Standards-Version: 3.1.0.0
+Standards-Version: 3.6.1.0
 
 Package: pointerize
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -45,7 +45,7 @@
 	install -m 644 debian/copyright $(docdir)/
 
 	install -d -m 755 $(tmpdir)/DEBIAN
-	install -m 755 debian/postinst debian/prerm $(tmpdir)/DEBIAN
+	install -m 755 debian/prerm $(tmpdir)/DEBIAN
 	dpkg-gencontrol -isp -P$(tmpdir) -p$(PACKAGE) -Vlibcdev=$(LIBCDEV)
 
 	chmod -R go=rX $(tmpdir)
